GET /messaging/v1/messageDefinitionSends/key:{key}/deliveryRecords

Overview 

Gets the delivery details of an email sent using the MessageDefinitionSends.

URL Parameters 

NameTypeDescription
ObjectIDStringRequired. The ID of the entry event send definition, included in URL as an ID. Either this property or the external key is required.
keyStringRequired. External key of the entry event send definition. Either this property or the ObjectID is required.
RecipientSendIdStringRequired. The RecipientSendId value returned from the /messageDefinitionSends send service, which is the unique identifier for a single email send.

Usage 

Example Request Using Send ID

1Host: https://YOUR_SUBDOMAIN.rest.marketingcloudapis.com
2GET /messaging/v1/messageDefinitionSends/dfa5ab87-1b0f-e211-b71b-9c8e9920e9fc/deliveryRecords/a7038ea5-51b7-4574-ac22-183654378dd2
3Content-Type: application/json
4Authorization: Bearer YOUR_ACCESS_TOKEN

Example Request Using Send ID

1Host: https://YOUR_SUBDOMAIN.rest.marketingcloudapis.com
2GET /messaging/v1/messageDefinitionSends/key:external_key/deliveryRecords/a7038ea5-51b7-4574-ac22-183654378dd2
3Content-Type: application/json
4Authorization: Bearer YOUR_ACCESS_TOKEN

Example Response

1HTTP/1.1 200 OK
2{
3    "deliveryTime": "2014-09-18T07:38:34.943",
4    "id": "bd52a488-2f5c-de11-92ee-001cc494ae9e",
5    "messageId": "a7038ea5-51b7-4574-ac22-183654378dd2",
6    "status": "Sent",
7    "to": {
8        "address": "example@example.com",
9        "id": 195711367,
10        "key": "example@example.com"
11    }
12}

Example Queued Response

1HTTP/1.1 200 OK
2{
3   "id": "bd52a488-2f5c-de11-92ee-001cc494ae9e",
4   "messageId": "ea0ebbe0-59fa-4f4d-a0fb-eda2fbda1052"</span>,
5   "status": "Queued"
6}

Example Error Response

1HTTP/1.1 200 OK
2{
3   "id": "bd52a488-2f5c-de11-92ee-001cc494ae9e",
4   "messageId": "d74f4d52-e5d9-42ef-9999-8d24a68be89b",
5   "status": "Error",
6   "to":    {
7        "address": "",
8        "id": 0,
9        "key": ""
10   },
11   "messageErrors": [{"messageErrorStatus": "The subscriber was excluded by List Detective."}]
12}